package envs

import (
	"regexp"
)

// Compiled regex patterns.
var (
	reMaybeInt   *regexp.Regexp = regexp.MustCompile(`^(?P<sign>\+|-)[0-9]+$`)
	reMaybeFloat *regexp.Regexp = regexp.MustCompile(`(?P<sign>\+|-)?[0-9]+\.[0-9]+$`)
)

var (
	StructTagInterpolate string = "envsub"
	StructTagPopulate    string = "envpop"
)

var (
	defaultInterpolateOpts interpolateOpts = interpolateOpts{
		noMapKey: false,
		noMapVal: false,
	}
	// InterpolateOptNoMapKey is the equivalent of the struct tag `no_map_key` for Interpolate.
	InterpolateOptNoMapKey optInterpolate = func(o *interpolateOpts) (err error) {
		o.noMapKey = true
		return
	}
	// InterpolateOptNoMapValue is the equivalent of the struct tag `no_map_value` for Interpolate.
	InterpolateOptNoMapValue optInterpolate = func(o *interpolateOpts) (err error) {
		o.noMapVal = true
		return
	}
)
